using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Rendering.Universal;

public class InsanityManager : MonoBehaviour
{
    [SerializeField]
    private ScriptableRendererFeature _fullScreenFeature;

    [SerializeField]
    private Material _material;

    private int _voronoiIntensity = Shader.PropertyToID("_Intensity");

    [SerializeField]
    private float intensity = 0;

    void OnFire()
    {
        intensity = 2;
        _material.SetFloat(_voronoiIntensity, intensity);
        Debug.Log("Fire!");
    }

    // Start is called before the first frame update
    void Start()
    {
        _fullScreenFeature.SetActive(true);
        _material.SetFloat(_voronoiIntensity, intensity);
    }

    // Update is called once per frame
    void Update() { }
}
